// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface GetStartingPricesResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.GetStartingPricesResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto start_prices = 1;</code>
   */
  java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> 
      getStartPricesList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto start_prices = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto getStartPrices(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto start_prices = 1;</code>
   */
  int getStartPricesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto start_prices = 1;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder> 
      getStartPricesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto start_prices = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder getStartPricesOrBuilder(
      int index);
}
